Uplifts
Operations related to Uplifts for creating mutually exclusive test and control segments to measure incremental campaign impact through A/B testing. Enable measurement of true campaign effectiveness by comparing exposed groups against unexposed control groups to determine uplift in conversions and other KPIs.
The id of the uplift
The name of the uplift
The description of the uplift
The initial source type of the uplift
The initial initial query text of the uplift
The control group of the uplift
Experiments of the uplift
Offset from which the search must be performed
Number of maximum items that may be returned by this search
Fields used to order the result
Word contained in the audience feature name or description
Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/datamarts/{datamart_id}/uplifts HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"first_result": 1,
"data": [
{
"description": "text",
"control_group_id": "text",
"name": "text",
"last_modified_by": "text",
"datamart_id": "text",
"archived": false,
"last_modified_ts": 0,
"created_by": "text",
"initial_query_text": "text",
"experiment_ids": [
"text"
],
"id": "text",
"initial_source_type": "QUERY",
"creation_ts": 0
}
],
"count": 1,
"total": 1,
"status": "ok",
"max_results": 1
}false00Success !
Error response
Error response
Error response
Error response
Error response
Error response
POST /v1/datamarts/{datamart_id}/uplifts HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 184
{
"description": "text",
"control_group_id": "text",
"name": "text",
"datamart_id": "text",
"archived": false,
"initial_query_text": "text",
"experiment_ids": [
"text"
],
"initial_source_type": "QUERY"
}{
"status": "ok",
"data": {
"description": "text",
"control_group_id": "text",
"name": "text",
"last_modified_by": "text",
"datamart_id": "text",
"archived": false,
"last_modified_ts": 0,
"created_by": "text",
"initial_query_text": "text",
"experiment_ids": [
"text"
],
"id": "text",
"initial_source_type": "QUERY",
"creation_ts": 0
}
}Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/datamarts/{datamart_id}/uplifts/{uplift_id} HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok",
"data": {
"description": "text",
"control_group_id": "text",
"name": "text",
"last_modified_by": "text",
"datamart_id": "text",
"archived": false,
"last_modified_ts": 0,
"created_by": "text",
"initial_query_text": "text",
"experiment_ids": [
"text"
],
"id": "text",
"initial_source_type": "QUERY",
"creation_ts": 0
}
}false00Success !
Error response
Error response
Error response
Error response
Error response
Error response
PUT /v1/datamarts/{datamart_id}/uplifts/{uplift_id} HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 184
{
"description": "text",
"control_group_id": "text",
"name": "text",
"datamart_id": "text",
"archived": false,
"initial_query_text": "text",
"experiment_ids": [
"text"
],
"initial_source_type": "QUERY"
}{
"status": "ok",
"data": {
"description": "text",
"control_group_id": "text",
"name": "text",
"last_modified_by": "text",
"datamart_id": "text",
"archived": false,
"last_modified_ts": 0,
"created_by": "text",
"initial_query_text": "text",
"experiment_ids": [
"text"
],
"id": "text",
"initial_source_type": "QUERY",
"creation_ts": 0
}
}Success response
Error response
Error response
Error response
Error response
Error response
Error response
DELETE /v1/datamarts/{datamart_id}/uplifts/{uplift_id} HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok"
}Last updated
Was this helpful?